JTS Topology Suite version 1.13

## com.vividsolutions.jts.operation.valid
Class SimpleNestedRingTester

    java.lang.Object
      com.vividsolutions.jts.operation.valid.SimpleNestedRingTester

    public class SimpleNestedRingTester

extends java.lang.Object

Tests whether any of a set of `LinearRing`s are nested inside another ring in the set, using a simple O(n^2) comparison.

Version:
  1.7

Constructor Summary
`SimpleNestedRingTester(GeometryGraph graph)`

Method Summary
`void` `add(LinearRing ring)`
`Coordinate` `getNestedPoint()`
`boolean` `isNonNested()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleNestedRingTester

    public SimpleNestedRingTester(GeometryGraph graph)

Method Detail

### add

    public void add(LinearRing ring)

### getNestedPoint

    public Coordinate getNestedPoint()

### isNonNested

    public boolean isNonNested()

JTS Topology Suite version 1.13